istream File Reference

Go to the source code of this file.

## Classes

class | std::basic_iostream< _CharT, _Traits >
class | std::basic_istream< _CharT, _Traits >
class | std::basic_istream< _CharT, _Traits >::sentry

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_ISTREAM

## Typedefs

template<typename _Is , typename _Tp , typename = _Require_derived_from_ios_base<_Is>, typename = decltype(std::declval<_Is&>() >> std::declval<_Tp>())>
using | std::__rvalue_stream_extraction_t = _Is &&

## Functions

template<typename _CharT , typename _Traits >
void | std::__istream_extract (basic_istream< _CharT, _Traits > &, _CharT *, streamsize)
void | std::__istream_extract (istream &, char *, streamsize)
template<typename _Istream , typename _Tp >
__rvalue_stream_extraction_t< _Istream, _Tp > | std::operator>> (_Istream &&__is, _Tp &&__x)
template<typename _CharT , typename _Traits >
basic_istream< _CharT, _Traits > & | std::ws (basic_istream< _CharT, _Traits > &__is)
template<typename _CharT , typename _Traits >
basic_istream< _CharT, _Traits > & | std::operator>> (basic_istream< _CharT, _Traits > &__in, _CharT &__c)
template<class _Traits >
basic_istream< char, _Traits > & | std::operator>> (basic_istream< char, _Traits > &__in, signed char &__c)
template<class _Traits >
basic_istream< char, _Traits > & | std::operator>> (basic_istream< char, _Traits > &__in, unsigned char &__c)
template<typename _CharT , typename _Traits >
basic_istream< _CharT, _Traits > & | std::operator>> (basic_istream< _CharT, _Traits > &__in, _CharT *__s)
template<class _Traits >
basic_istream< char, _Traits > & | std::operator>> (basic_istream< char, _Traits > &__in, signed char *__s)
template<class _Traits >
basic_istream< char, _Traits > & | std::operator>> (basic_istream< char, _Traits > &__in, unsigned char *__s)

## Detailed Description

This is a Standard C++ Library header.

Definition in file istream.

## Macro Definition Documentation

## _GLIBCXX_ISTREAM

#define _GLIBCXX_ISTREAM

Definition at line 34 of file istream.